Skip to main content
<div> <p> Create Custom Field Folder </p> <div> <span style= “display: inline-block; width: 25px; height: 25px; background-color: yellow; color: black; font-weight: bold; font-size: 24px; text-align: center; line-height: 22px; border: 2px solid black; border-radius: 10%; margin-right: 10px;”> ! </span> <span> <strong> Only supports Custom Objects and Company (Business) today. Will be extended to other Standard Objects in the future. </strong> </span> </div> </div>
PUT https://services.leadconnectorhq.com/custom-fields/folder/{id}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

id
string
required

Body

name
string
default:"Name"
required
Field name
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id

Respuestas

id
string
required
Unique identifier of the object
objectKey
string
default:"custom_object.pet"
required
The key for your custom object. This key uniquely identifies the custom object. Example: “custom_object.pet” for a custom object related to pets.
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
name
string
default:"Name"
required
Field name
{
  "id": "string",
  "objectKey": "custom_object.pet",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "Name"
}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/custom-fields/folder/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Name",
  "locationId": "ve9EPM428h8vShlRW1KT"
}'
const response = await fetch('https://services.leadconnectorhq.com/custom-fields/folder/YOUR_id', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"name": "Name", "locationId": "ve9EPM428h8vShlRW1KT"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/custom-fields/folder/YOUR_id',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"name": "Name", "locationId": "ve9EPM428h8vShlRW1KT"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/custom-fields/folder/YOUR_id');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'name': 'Name', 'locationId': 've9EPM428h8vShlRW1KT'}),
]);
$data = json_decode(curl_exec($ch), true);